curator-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jordan Zimmerman (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CURATOR-41) Curator masks/loses exception in LockInternals
Date Sun, 23 Feb 2014 07:58:20 GMT

    [ https://issues.apache.org/jira/browse/CURATOR-41?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13909707#comment-13909707
] 

Jordan Zimmerman commented on CURATOR-41:
-----------------------------------------

Curator is currently JDK 6 compatible. I guess the finally could catch exceptions and combine
the two but that would be cumbersome. Are you seeing this actually happen?

> Curator masks/loses exception in LockInternals
> ----------------------------------------------
>
>                 Key: CURATOR-41
>                 URL: https://issues.apache.org/jira/browse/CURATOR-41
>             Project: Apache Curator
>          Issue Type: Bug
>          Components: Recipes
>            Reporter: Shevek
>             Fix For: TBD
>
>
>     private boolean internalLockLoop(long startMillis, Long millisToWait, String ourPath)
throws Exception
>         try {
>         ...
>         }
>         catch ( Exception e )
>         {
>             doDelete = true;
>             throw e;
>         }
>         finally
>         {
>             if ( doDelete )
>             {
>                 deleteOurPath(ourPath);
>             }
>         }
> Say ... throws an exception. catch sets doDelete = true. Then deleteOurPath throws an
exception. We never find out what the original exception was that caused the mutex to fail.
> In JDK8, I think we get the extra Throwable#getSuppressed() call, which will return us
this extra exception, but we aren't on JDK8 yet.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message